mf:
  system:
    display: "System"
    sort: 1
    list:
      - name: "label"
        type: "string"
        value: "mf-core"
        access: "read-only"
        filter: ""
        display: "Label"
        comment: ""
      - name: "serviceIP"
        type: "ipv4"
        value: "172.16.5.110"
        access: "read-only"
        filter: ""
        display: "Public Network IPv4"
        comment: ""
  agents:
    display: "Agent List"
    sort: 3
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: ""
        display: "Index"
        comment: "0~10000"
      - name: "name"
        type: "regex"
        value: "1000"
        access: "read-write"
        filter: "^[0-9]{4,8}$"
        display: "Name"
        comment: ""
      - name: "online"
        type: "bool"
        value: "false"
        access: "read-only"
        filter: '{"0":"false", "1":"true"}'
        display: "Online Status"
        comment: "Online Status"
      - name: "email"
        type: "string"
        value: ""
        access: "read-write"
        filter: ""
        display: "Email"
        comment: "email"
      - name: "mobile"
        type: "regex"
        value: ""
        access: "read-write"
        filter: "^[0-9]{4,20}$"
        display: "Mobile"
        comment: "mobile"
      - name: "domain"
        type: "string"
        value: ""
        access: "read-only"
        filter: ""
        display: "Domain"
        comment: "ip:port"
      - name: "password"
        type: "string"
        value: ""
        access: "read-only"
        filter: ""
        display: "Password"
        comment: "do not display"
